Page MenuHomePhabricator

Make common abstract class for PreliminaryCheckPager and ComparePager
Closed, ResolvedPublicMar 12 2020

Description

The main reason for this is to avoid duplication of getPagingQueries(), which is customised to work with the TokenManager.

We should do this ahead of making TimelinePager, which will also need the customised version of getPagingQueries.

Details

Event Timeline

Tchanders created this task.Mar 3 2020, 4:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2020, 4:53 PM

Change 577353 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/CheckUser@master] Move common pagers implementation into base class

https://gerrit.wikimedia.org/r/577353

dmaza claimed this task.Mar 6 2020, 4:19 AM
dmaza moved this task from In Progress to Review on the Anti-Harassment (The Letter Song) board.

Change 577353 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Move common pagers implementation into base class

https://gerrit.wikimedia.org/r/577353

ARamirez_WMF set Due Date to Mar 12 2020, 4:00 AM.Mar 13 2020, 6:14 PM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".
dom_walden added a subscriber: dom_walden.

I have been testing CU with these changes for a few days. I haven't noticed any differences.

Tchanders closed this task as Resolved.Mar 16 2020, 12:31 PM